For the complete documentation index, see llms.txt. This page is also available as Markdown.

List addons for order item

List addons for order item

Required permissions: SALES_ORDER,RETURN_ORDER

get
/tenants/{tenantUid}/stores/{storeUid}/orders/{orderUid}/items/{orderItemUid}/addons
Authorizations
AuthorizationstringRequired

Access token recevied after user login with a deviceToken

Path parameters
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
storeUidstringRequired

Reference to a Store.

Pattern: ^[A-Za-z0-9-_]+
orderUidstringRequired

Reference to an Order.

Pattern: ^[A-Za-z0-9-_]+
orderItemUidstringRequired

Reference to an order item on an order.

Pattern: ^[A-Za-z0-9-_]+
Query parameters
productLinkTypestring · enumOptional
ENUMDescription
INSURANCEInsurance products allowed to be added to the product
ALTERNATIVEAlternative products if the main product is not available
ACCESSORYAccessory products for the main product
SPARE_PARTSpare part that can be used to repair the product
SERVICEService products.
FREIGHT_SERVICEFreight service products.
AUTO_ADDThe products will be auto added to the order and can not be removed without removing the main product.
Possible values:
Responses
200

Example response

application/json
get/tenants/{tenantUid}/stores/{storeUid}/orders/{orderUid}/items/{orderItemUid}/addons
GET /v2/tenants/{tenantUid}/stores/{storeUid}/orders/{orderUid}/items/{orderItemUid}/addons HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200

Example response

{
  "items": [
    {
      "productUid": "text",
      "productLinkType": "INSURANCE",
      "sku": "text",
      "name": "text",
      "orderItemReference": "text",
      "price": 1,
      "productType": "STOCK",
      "serialNoRequired": "NO",
      "allowSale": "YES",
      "allowSaleDate": "2026-01-01T00:00:00.000Z",
      "coverImage": {
        "productMediaUid": "text",
        "mainUrl": "text",
        "thumbnailUrl": "text"
      }
    }
  ]
}

Last updated

Was this helpful?